Package be.fgov.ehealth.mycarenet.commons.core.v3

# Class NihiiType

java.lang.Object
be.fgov.ehealth.mycarenet.commons.core.v3.SelfRefType
be.fgov.ehealth.mycarenet.commons.core.v3.NihiiType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:15:04+02:00", comments="JAXB RI v4.0.5") public class NihiiType extends SelfRefType implements Serializable
The NIHII number with its meta-data.

Java class for NihiiType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="NihiiType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:mycarenet:commons:core:v3}SelfRefType">
           <sequence>
             <element name="Quality" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="Value" type="{urn:be:fgov:ehealth:mycarenet:commons:core:v3}ValueRefString" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NihiiType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getQuality()`
  Meta-data that indicates to which type of care provider the NIHII number was assigned too.
  `ValueRefString`
  `getValue()`
  The NIHII number itself.
  `void`
  `setQuality(String value)`
  Sets the value of the quality property.
  `void`
  `setValue(ValueRefString value)`
  Sets the value of the value property.

  ### Methods inherited from class be.fgov.ehealth.mycarenet.commons.core.v3.SelfRefType

  `getId, getRef, setId, setRef`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NihiiType

    public NihiiType()

- ## Method Details

  - ### getQuality

    public String getQuality()
    Meta-data that indicates to which type of care provider the NIHII number was assigned too. This element is required and can only be obmitted when the parent element references another element.
    Returns:
      possible object is `String`

  - ### setQuality

    public void setQuality(String value)
    Sets the value of the quality property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getQuality()`

  - ### getValue

    public ValueRefString getValue()
    The NIHII number itself. This element is required and can only be obmitted when the parent element references another element.
    Returns:
      possible object is `ValueRefString`

  - ### setValue

    public void setValue(ValueRefString value)
    Sets the value of the value property.
    Parameters:
      `value` - allowed object is `ValueRefString`
    See Also:
      - `getValue()`